using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AAbwesenheitssperrenSetAwJEndDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AwJEndDat";
			

		internal AAbwesenheitssperrenSetAwJEndDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AAbwesenheitssperrenSetAwJEndDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AAbwesenheitssperrenSetAwJEndDatIndex.IndexFields rangeBegin, AAbwesenheitssperrenSetAwJEndDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Auswertungsjahr ( SmallInt )</summary>
			public virtual Object AuswJahr {
				get { return this["AuswJahr"]; }
				set { this["AuswJahr"] = value; }
			}
			/// <summary>Enddatum ( DateTime )</summary>
			public virtual DateTime EndDat {
				get { return Convert.ToDateTime(this["EndDat"]); }
				set { this["EndDat"] = value; }
			}
			/// <summary>Abteilungsnummer ( String )</summary>
			public virtual String AbtNr {
				get { return Convert.ToString(this["AbtNr"]); }
				set { this["AbtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
