using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwArtikelDatenSetAbwArtNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AbwArtNr";
			

		internal AbwArtikelDatenSetAbwArtNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AbwArtikelDatenSetAbwArtNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AbwArtikelDatenSetAbwArtNrIndex.IndexFields rangeBegin, AbwArtikelDatenSetAbwArtNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Abweichende Artikelnummer ( String )</summary>
			public virtual String AbwArtNr {
				get { return Convert.ToString(this["AbwArtNr"]); }
				set { this["AbwArtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
