using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwArtikelDatenSetAdrNrAbwArtNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrAbwArtNr";
			

		internal AbwArtikelDatenSetAdrNrAbwArtNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AbwArtikelDatenSetAdrNrAbwArtNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AbwArtikelDatenSetAdrNrAbwArtNrIndex.IndexFields rangeBegin, AbwArtikelDatenSetAdrNrAbwArtNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Abweichende Artikelnummer ( String )</summary>
			public virtual String AbwArtNr {
				get { return Convert.ToString(this["AbwArtNr"]); }
				set { this["AbwArtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
