using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwesenheitsArtenSetNrNumIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "NrNum";
			

		internal AbwesenheitsArtenSetNrNumIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AbwesenheitsArtenSetNrNumIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AbwesenheitsArtenSetNrNumIndex.IndexFields rangeBegin, AbwesenheitsArtenSetNrNumIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Abwesenheitsartennummer ( String )</summary>
			public virtual String AbwANr {
				get { return Convert.ToString(this["AbwANr"]); }
				set { this["AbwANr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
