using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AdressenWgrRabattSetAdrNrWgrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrWgrNr";
			

		internal AdressenWgrRabattSetAdrNrWgrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AdressenWgrRabattSetAdrNrWgrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AdressenWgrRabattSetAdrNrWgrNrIndex.IndexFields rangeBegin, AdressenWgrRabattSetAdrNrWgrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Warengruppennummer ( String )</summary>
			public virtual String WgrNr {
				get { return Convert.ToString(this["WgrNr"]); }
				set { this["WgrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
