using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnlagenSetAnlNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AnlNr";
			

		internal AnlagenSetAnlNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnlagenSetAnlNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnlagenSetAnlNrIndex.IndexFields rangeBegin, AnlagenSetAnlNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Anlagennummer ( String )</summary>
			public virtual String AnlNr {
				get { return Convert.ToString(this["AnlNr"]); }
				set { this["AnlNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
