using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnlagenSetAnlStandortIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AnlStandort";
			

		internal AnlagenSetAnlStandortIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnlagenSetAnlStandortIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnlagenSetAnlStandortIndex.IndexFields rangeBegin, AnlagenSetAnlStandortIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Standort ( String )</summary>
			public virtual String StOrt {
				get { return Convert.ToString(this["StOrt"]); }
				set { this["StOrt"] = value; }
			}
			/// <summary>Adressnummer des Standorts ( String )</summary>
			public virtual String StOrtAdrNr {
				get { return Convert.ToString(this["StOrtAdrNr"]); }
				set { this["StOrtAdrNr"] = value; }
			}
			/// <summary>Anlagennummer ( String )</summary>
			public virtual String AnlNr {
				get { return Convert.ToString(this["AnlNr"]); }
				set { this["AnlNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
