using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnschriftenSetAdrNrGrpAnsNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrGrpAnsNr";
			

		internal AnschriftenSetAdrNrGrpAnsNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnschriftenSetAdrNrGrpAnsNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnschriftenSetAdrNrGrpAnsNrIndex.IndexFields rangeBegin, AnschriftenSetAdrNrGrpAnsNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Anschriftengruppe ( Integer )</summary>
			public virtual Int32 Grp {
				get { return Convert.ToInt32(this["Grp"]); }
				set { this["Grp"] = value; }
			}
			/// <summary>Anschriftennummer ( Integer )</summary>
			public virtual Int32 AnsNr {
				get { return Convert.ToInt32(this["AnsNr"]); }
				set { this["AnsNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
