using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnsichtenVorgabenSetStdIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Std";
			

		internal AnsichtenVorgabenSetStdIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnsichtenVorgabenSetStdIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnsichtenVorgabenSetStdIndex.IndexFields rangeBegin, AnsichtenVorgabenSetStdIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>ist Standard Kennzeichen ( Boolean )</summary>
			public virtual Object StdKz {
				get { return this["StdKz"]; }
				set { this["StdKz"] = value; }
			}
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
