using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnsprechpartnerSetAdrNrAnsNrAspNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrAnsNrAspNr";
			

		internal AnsprechpartnerSetAdrNrAnsNrAspNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnsprechpartnerSetAdrNrAnsNrAspNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnsprechpartnerSetAdrNrAnsNrAspNrIndex.IndexFields rangeBegin, AnsprechpartnerSetAdrNrAnsNrAspNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Anschriftennummer ( Integer )</summary>
			public virtual Int32 AnsNr {
				get { return Convert.ToInt32(this["AnsNr"]); }
				set { this["AnsNr"] = value; }
			}
			/// <summary>Ansprechpartnernummer ( Integer )</summary>
			public virtual Int32 AspNr {
				get { return Convert.ToInt32(this["AspNr"]); }
				set { this["AspNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
