using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelEbayEinstellungenSetArtNrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrNr";
			

		internal ArtikelEbayEinstellungenSetArtNrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelEbayEinstellungenSetArtNrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelEbayEinstellungenSetArtNrNrIndex.IndexFields rangeBegin, ArtikelEbayEinstellungenSetArtNrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Nummer ( Integer )</summary>
			public virtual Int32 Nr {
				get { return Convert.ToInt32(this["Nr"]); }
				set { this["Nr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
