using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelKategorienSetKatIDIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KatID";
			

		internal ArtikelKategorienSetKatIDIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelKategorienSetKatIDIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelKategorienSetKatIDIndex.IndexFields rangeBegin, ArtikelKategorienSetKatIDIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Kategorie ID ( String )</summary>
			public virtual String KatID {
				get { return Convert.ToString(this["KatID"]); }
				set { this["KatID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
