using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelLieferantenSetArtNrBestNr0Index : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrBestNr0";
			

		internal ArtikelLieferantenSetArtNrBestNr0Index(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelLieferantenSetArtNrBestNr0Index.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelLieferantenSetArtNrBestNr0Index.IndexFields rangeBegin, ArtikelLieferantenSetArtNrBestNr0Index.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Ek0->Bestellnummer ( String )</summary>
			public virtual String Ek0_BstNr {
				get { return Convert.ToString(this["Ek0.BstNr"]); }
				set { this["Ek0.BstNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
