using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelLieferantenSetArtNrStdPreisIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrStdPreis";
			

		internal ArtikelLieferantenSetArtNrStdPreisIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelLieferantenSetArtNrStdPreisIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelLieferantenSetArtNrStdPreisIndex.IndexFields rangeBegin, ArtikelLieferantenSetArtNrStdPreisIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Effektiver Standard Preis in LW1 ( Double )</summary>
			public virtual Object StdEkFuerIxPreis {
				get { return this["StdEkFuerIxPreis"]; }
				set { this["StdEkFuerIxPreis"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
