using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelSetAMVArtNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AMVArtNr";
			

		internal ArtikelSetAMVArtNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelSetAMVArtNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelSetAMVArtNrIndex.IndexFields rangeBegin, ArtikelSetAMVArtNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Ist Variante von Artikelnummer ( String )</summary>
			public virtual String ArtNrAMV {
				get { return Convert.ToString(this["ArtNrAMV"]); }
				set { this["ArtNrAMV"] = value; }
			}
			/// <summary>Variante fr Artikelausprgung 1 ( String )</summary>
			public virtual String ArtAusPVar1 {
				get { return Convert.ToString(this["ArtAusPVar1"]); }
				set { this["ArtAusPVar1"] = value; }
			}
			/// <summary>Variante fr Artikelausprgung 2 ( String )</summary>
			public virtual String ArtAusPVar2 {
				get { return Convert.ToString(this["ArtAusPVar2"]); }
				set { this["ArtAusPVar2"] = value; }
			}
			/// <summary>Variante fr Artikelausprgung 3 ( String )</summary>
			public virtual String ArtAusPVar3 {
				get { return Convert.ToString(this["ArtAusPVar3"]); }
				set { this["ArtAusPVar3"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
