using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelStuecklisteSetSLArtNrArtNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "SLArtNrArtNr";
			

		internal ArtikelStuecklisteSetSLArtNrArtNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelStuecklisteSetSLArtNrArtNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelStuecklisteSetSLArtNrArtNrIndex.IndexFields rangeBegin, ArtikelStuecklisteSetSLArtNrArtNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Stckliste von Artikelnummer ( String )</summary>
			public virtual String SlArtNr {
				get { return Convert.ToString(this["SlArtNr"]); }
				set { this["SlArtNr"] = value; }
			}
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
