using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelZusaetzeSetArtNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNr";
			

		internal ArtikelZusaetzeSetArtNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelZusaetzeSetArtNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelZusaetzeSetArtNrIndex.IndexFields rangeBegin, ArtikelZusaetzeSetArtNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Zusatz fr Artikelnummer ( String )</summary>
			public virtual String ZArtNr {
				get { return Convert.ToString(this["ZArtNr"]); }
				set { this["ZArtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
