using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AssistentenSchemenSetNameBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "NameBez";
			

		internal AssistentenSchemenSetNameBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AssistentenSchemenSetNameBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AssistentenSchemenSetNameBezIndex.IndexFields rangeBegin, AssistentenSchemenSetNameBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Name ( String )</summary>
			public virtual String Na {
				get { return Convert.ToString(this["Na"]); }
				set { this["Na"] = value; }
			}
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
