using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AusgabeverzeichnisHisSetEmpfIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Empf";
			

		internal AusgabeverzeichnisHisSetEmpfIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AusgabeverzeichnisHisSetEmpfIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AusgabeverzeichnisHisSetEmpfIndex.IndexFields rangeBegin, AusgabeverzeichnisHisSetEmpfIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Empfnger ( String )</summary>
			public virtual String Empfaenger {
				get { return Convert.ToString(this["Empfaenger"]); }
				set { this["Empfaenger"] = value; }
			}
			/// <summary>Datum ( DateTime )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
			/// <summary>Benutzernummer ( String )</summary>
			public virtual String BzrNr {
				get { return Convert.ToString(this["BzrNr"]); }
				set { this["BzrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
