using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AusgabeverzeichnisSetHiDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "HiDat";
			

		internal AusgabeverzeichnisSetHiDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AusgabeverzeichnisSetHiDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AusgabeverzeichnisSetHiDatIndex.IndexFields rangeBegin, AusgabeverzeichnisSetHiDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Historydatum ( DateTime )</summary>
			public virtual DateTime HyDat {
				get { return Convert.ToDateTime(this["HyDat"]); }
				set { this["HyDat"] = value; }
			}
			/// <summary>Benutzernummer ( String )</summary>
			public virtual String BzrNr {
				get { return Convert.ToString(this["BzrNr"]); }
				set { this["BzrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
