using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BankKontoAuszuegeSetHBkBetIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "HBkBet";
			

		internal BankKontoAuszuegeSetHBkBetIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BankKontoAuszuegeSetHBkBetIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BankKontoAuszuegeSetHBkBetIndex.IndexFields rangeBegin, BankKontoAuszuegeSetHBkBetIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Nummer der Hausbank ( Integer )</summary>
			public virtual Int32 HBk {
				get { return Convert.ToInt32(this["HBk"]); }
				set { this["HBk"] = value; }
			}
			/// <summary>Betrag ( Double )</summary>
			public virtual Object Bet {
				get { return this["Bet"]; }
				set { this["Bet"] = value; }
			}
			/// <summary>ID ( AutoInc )</summary>
			public virtual Int32 ID {
				get { return Convert.ToInt32(this["ID"]); }
				set { this["ID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
