using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BankKontoAuszuegeSetHBkValDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "HBkValDat";
			

		internal BankKontoAuszuegeSetHBkValDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BankKontoAuszuegeSetHBkValDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BankKontoAuszuegeSetHBkValDatIndex.IndexFields rangeBegin, BankKontoAuszuegeSetHBkValDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Nummer der Hausbank ( Integer )</summary>
			public virtual Int32 HBk {
				get { return Convert.ToInt32(this["HBk"]); }
				set { this["HBk"] = value; }
			}
			/// <summary>Valutadatum ( DateTime )</summary>
			public virtual DateTime ValutaDat {
				get { return Convert.ToDateTime(this["ValutaDat"]); }
				set { this["ValutaDat"] = value; }
			}
			/// <summary>ID ( AutoInc )</summary>
			public virtual Int32 ID {
				get { return Convert.ToInt32(this["ID"]); }
				set { this["ID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
