using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BankenSetPLZIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "PLZ";
			

		internal BankenSetPLZIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BankenSetPLZIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BankenSetPLZIndex.IndexFields rangeBegin, BankenSetPLZIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Postleitzahl ( String )</summary>
			public virtual String PLZ {
				get { return Convert.ToString(this["PLZ"]); }
				set { this["PLZ"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
