using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BarCodesSetDBBkzBezIDIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "DBBkzBezID";
			

		internal BarCodesSetDBBkzBezIDIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BarCodesSetDBBkzBezIDIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BarCodesSetDBBkzBezIDIndex.IndexFields rangeBegin, BarCodesSetDBBkzBezIDIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String DBBkzBez {
				get { return Convert.ToString(this["DBBkzBez"]); }
				set { this["DBBkzBez"] = value; }
			}
			/// <summary>ID ( Integer )</summary>
			public virtual Int32 ID {
				get { return Convert.ToInt32(this["ID"]); }
				set { this["ID"] = value; }
			}
			/// <summary>Barcode ( String )</summary>
			public virtual String BarCd {
				get { return Convert.ToString(this["BarCd"]); }
				set { this["BarCd"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
