using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BenutzerSetAnmNaIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AnmNa";
			

		internal BenutzerSetAnmNaIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BenutzerSetAnmNaIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BenutzerSetAnmNaIndex.IndexFields rangeBegin, BenutzerSetAnmNaIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Anmeldename ( String )</summary>
			public virtual String AnmNa {
				get { return Convert.ToString(this["AnmNa"]); }
				set { this["AnmNa"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
