using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BenutzerSetNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Nr";
			

		internal BenutzerSetNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BenutzerSetNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BenutzerSetNrIndex.IndexFields rangeBegin, BenutzerSetNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Benutzernummer ( String )</summary>
			public virtual String BzrNr {
				get { return Convert.ToString(this["BzrNr"]); }
				set { this["BzrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
