using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BenutzerSetTel1Index : BpnIndex
	{
		public static readonly String INDEX_NAME = "Tel1";
			

		internal BenutzerSetTel1Index(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BenutzerSetTel1Index.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BenutzerSetTel1Index.IndexFields rangeBegin, BenutzerSetTel1Index.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Telefon 1 ( String )</summary>
			public virtual String Tel1 {
				get { return Convert.ToString(this["Tel1"]); }
				set { this["Tel1"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
