using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BestelleingangSetAdrNrLiefDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrLiefDat";
			

		internal BestelleingangSetAdrNrLiefDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BestelleingangSetAdrNrLiefDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BestelleingangSetAdrNrLiefDatIndex.IndexFields rangeBegin, BestelleingangSetAdrNrLiefDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Lieferdatum ( Date )</summary>
			public virtual DateTime LiefDat {
				get { return Convert.ToDateTime(this["LiefDat"]); }
				set { this["LiefDat"] = value; }
			}
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
