using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenAuftragSetBelegNr1Index : BpnIndex
	{
		public static readonly String INDEX_NAME = "BelegNr1";
			

		internal BuchungenAuftragSetBelegNr1Index(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BuchungenAuftragSetBelegNr1Index.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BuchungenAuftragSetBelegNr1Index.IndexFields rangeBegin, BuchungenAuftragSetBelegNr1Index.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Belegnummer 1 ( String )</summary>
			public virtual String BelegNr1 {
				get { return Convert.ToString(this["BelegNr1"]); }
				set { this["BelegNr1"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
