using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenFiBuArchivSetKstNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KstNr";
			

		internal BuchungenFiBuArchivSetKstNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BuchungenFiBuArchivSetKstNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BuchungenFiBuArchivSetKstNrIndex.IndexFields rangeBegin, BuchungenFiBuArchivSetKstNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Kostenstellennummer ( String )</summary>
			public virtual String KstNr {
				get { return Convert.ToString(this["KstNr"]); }
				set { this["KstNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
