using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenFiBuSetZNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ZNr";
			

		internal BuchungenFiBuSetZNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BuchungenFiBuSetZNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BuchungenFiBuSetZNrIndex.IndexFields rangeBegin, BuchungenFiBuSetZNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Zeilennummer ( Integer )</summary>
			public virtual Int32 ZeilenNr {
				get { return Convert.ToInt32(this["ZeilenNr"]); }
				set { this["ZeilenNr"] = value; }
			}
			/// <summary>Jahr ( SmallInt )</summary>
			public virtual Object Jahr {
				get { return this["Jahr"]; }
				set { this["Jahr"] = value; }
			}
			/// <summary>Periode ( Byte )</summary>
			public virtual Object Per {
				get { return this["Per"]; }
				set { this["Per"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
