using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenKasseSetFBchNrZNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "FBchNrZNr";
			

		internal BuchungenKasseSetFBchNrZNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BuchungenKasseSetFBchNrZNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BuchungenKasseSetFBchNrZNrIndex.IndexFields rangeBegin, BuchungenKasseSetFBchNrZNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Buchnummer ( Byte )</summary>
			public virtual Object FBchNr {
				get { return this["FBchNr"]; }
				set { this["FBchNr"] = value; }
			}
			/// <summary>Zeilennummer ( Integer )</summary>
			public virtual Int32 ZeilenNr {
				get { return Convert.ToInt32(this["ZeilenNr"]); }
				set { this["ZeilenNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
