using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenKasseSetJPStSchlIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "JPStSchl";
			

		internal BuchungenKasseSetJPStSchlIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BuchungenKasseSetJPStSchlIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BuchungenKasseSetJPStSchlIndex.IndexFields rangeBegin, BuchungenKasseSetJPStSchlIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Jahr ( SmallInt )</summary>
			public virtual Object Jahr {
				get { return this["Jahr"]; }
				set { this["Jahr"] = value; }
			}
			/// <summary>Periode ( Byte )</summary>
			public virtual Object Per {
				get { return this["Per"]; }
				set { this["Per"] = value; }
			}
			/// <summary>Steuerschlssel ( Byte )</summary>
			public virtual Object StSchl {
				get { return this["StSchl"]; }
				set { this["StSchl"] = value; }
			}
			/// <summary>Buchnummer ( Byte )</summary>
			public virtual Object FBchNr {
				get { return this["FBchNr"]; }
				set { this["FBchNr"] = value; }
			}
			/// <summary>Zeilennummer ( Integer )</summary>
			public virtual Int32 ZeilenNr {
				get { return Convert.ToInt32(this["ZeilenNr"]); }
				set { this["ZeilenNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
