using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenLohnArchivSetTextIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Text";
			

		internal BuchungenLohnArchivSetTextIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BuchungenLohnArchivSetTextIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BuchungenLohnArchivSetTextIndex.IndexFields rangeBegin, BuchungenLohnArchivSetTextIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Text ( String )</summary>
			public virtual String Text {
				get { return Convert.ToString(this["Text"]); }
				set { this["Text"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
