using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class GeoSchemasSetTypKuBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "TypKuBez";
			

		internal GeoSchemasSetTypKuBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(GeoSchemasSetTypKuBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(GeoSchemasSetTypKuBezIndex.IndexFields rangeBegin, GeoSchemasSetTypKuBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>GeoSchema Typ ( Integer )</summary>
			public virtual Int32 GeoTyp {
				get { return Convert.ToInt32(this["GeoTyp"]); }
				set { this["GeoTyp"] = value; }
			}
			/// <summary>Kurzbezeichnung ( String )</summary>
			public virtual String KuBez {
				get { return Convert.ToString(this["KuBez"]); }
				set { this["KuBez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
