using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class HistorySetArtNrArtDatAdrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrArtDatAdrNr";
			

		internal HistorySetArtNrArtDatAdrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(HistorySetArtNrArtDatAdrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(HistorySetArtNrArtDatAdrNrIndex.IndexFields rangeBegin, HistorySetArtNrArtDatAdrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Artikeldatum ( Date )</summary>
			public virtual DateTime ArtDat {
				get { return Convert.ToDateTime(this["ArtDat"]); }
				set { this["ArtDat"] = value; }
			}
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
