using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class HistorySetArtPrGrpIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtPrGrp";
			

		internal HistorySetArtPrGrpIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(HistorySetArtPrGrpIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(HistorySetArtPrGrpIndex.IndexFields rangeBegin, HistorySetArtPrGrpIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelpreisgruppe ( Byte )</summary>
			public virtual Object ArtPrGrp {
				get { return this["ArtPrGrp"]; }
				set { this["ArtPrGrp"] = value; }
			}
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
