using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class HistorySetWgrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "WgrNr";
			

		internal HistorySetWgrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(HistorySetWgrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(HistorySetWgrNrIndex.IndexFields rangeBegin, HistorySetWgrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Warengruppennummer ( String )</summary>
			public virtual String WgrNr {
				get { return Convert.ToString(this["WgrNr"]); }
				set { this["WgrNr"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
