using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class IOLayoutsSetNaSubIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "NaSub";
			

		internal IOLayoutsSetNaSubIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(IOLayoutsSetNaSubIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(IOLayoutsSetNaSubIndex.IndexFields rangeBegin, IOLayoutsSetNaSubIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Name ( String )</summary>
			public virtual String Na {
				get { return Convert.ToString(this["Na"]); }
				set { this["Na"] = value; }
			}
			/// <summary>SubIndex ( Integer )</summary>
			public virtual Int32 SubIndex {
				get { return Convert.ToInt32(this["SubIndex"]); }
				set { this["SubIndex"] = value; }
			}
			/// <summary>Modulkurzbezeichnung ( String )</summary>
			public virtual String ModKuBez {
				get { return Convert.ToString(this["ModKuBez"]); }
				set { this["ModKuBez"] = value; }
			}
			/// <summary>Programmversion ( String )</summary>
			public virtual String PrgV {
				get { return Convert.ToString(this["PrgV"]); }
				set { this["PrgV"] = value; }
			}
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
