using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class IOLayoutsSetVerIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Ver";
			

		internal IOLayoutsSetVerIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(IOLayoutsSetVerIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(IOLayoutsSetVerIndex.IndexFields rangeBegin, IOLayoutsSetVerIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Programmversion ( String )</summary>
			public virtual String PrgV {
				get { return Convert.ToString(this["PrgV"]); }
				set { this["PrgV"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
