using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontakteSetIntIDIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "IntID";
			

		internal KontakteSetIntIDIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontakteSetIntIDIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontakteSetIntIDIndex.IndexFields rangeBegin, KontakteSetIntIDIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>ID (Intern) ( Integer )</summary>
			public virtual Int32 IntID {
				get { return Convert.ToInt32(this["IntID"]); }
				set { this["IntID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
