using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontakteSetNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Nr";
			

		internal KontakteSetNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontakteSetNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontakteSetNrIndex.IndexFields rangeBegin, KontakteSetNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Nummer ( String )</summary>
			public virtual String Nr {
				get { return Convert.ToString(this["Nr"]); }
				set { this["Nr"] = value; }
			}
			/// <summary>Erfassungsdatum ( DateTime )</summary>
			public virtual DateTime ErfDat {
				get { return Convert.ToDateTime(this["ErfDat"]); }
				set { this["ErfDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
