using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenBlaetterSetJPKtoNrGKtoNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "JPKtoNrGKtoNr";
			

		internal KontenBlaetterSetJPKtoNrGKtoNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontenBlaetterSetJPKtoNrGKtoNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontenBlaetterSetJPKtoNrGKtoNrIndex.IndexFields rangeBegin, KontenBlaetterSetJPKtoNrGKtoNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Jahr ( SmallInt )</summary>
			public virtual Object Jahr {
				get { return this["Jahr"]; }
				set { this["Jahr"] = value; }
			}
			/// <summary>Periode ( Byte )</summary>
			public virtual Object Per {
				get { return this["Per"]; }
				set { this["Per"] = value; }
			}
			/// <summary>Kontonummer ( String )</summary>
			public virtual String KtoNr {
				get { return Convert.ToString(this["KtoNr"]); }
				set { this["KtoNr"] = value; }
			}
			/// <summary>Gegenkontonummer ( String )</summary>
			public virtual String GKtoNr {
				get { return Convert.ToString(this["GKtoNr"]); }
				set { this["GKtoNr"] = value; }
			}
			/// <summary>Bereich ( String )</summary>
			public virtual String DBBkzBez {
				get { return Convert.ToString(this["DBBkzBez"]); }
				set { this["DBBkzBez"] = value; }
			}
			/// <summary>Buchungs-ID Nummer ( Integer )</summary>
			public virtual Int32 BchIDNr {
				get { return Convert.ToInt32(this["BchIDNr"]); }
				set { this["BchIDNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
