using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenPlanSetSuchBegIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "SuchBeg";
			

		internal KontenPlanSetSuchBegIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontenPlanSetSuchBegIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontenPlanSetSuchBegIndex.IndexFields rangeBegin, KontenPlanSetSuchBegIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Suchbegriff ( String )</summary>
			public virtual String SuchBeg {
				get { return Convert.ToString(this["SuchBeg"]); }
				set { this["SuchBeg"] = value; }
			}
			/// <summary>Kontonummer ( String )</summary>
			public virtual String KtoNr {
				get { return Convert.ToString(this["KtoNr"]); }
				set { this["KtoNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
