using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KostenstellenBlaetterSetBchIDNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BchIDNr";
			

		internal KostenstellenBlaetterSetBchIDNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KostenstellenBlaetterSetBchIDNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KostenstellenBlaetterSetBchIDNrIndex.IndexFields rangeBegin, KostenstellenBlaetterSetBchIDNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String DBBkzBez {
				get { return Convert.ToString(this["DBBkzBez"]); }
				set { this["DBBkzBez"] = value; }
			}
			/// <summary>Buchungs-ID Nummer ( Integer )</summary>
			public virtual Int32 BchIDNr {
				get { return Convert.ToInt32(this["BchIDNr"]); }
				set { this["BchIDNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
