using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KostenstellenBlaetterSetJPKstNrBelegNr2Index : BpnIndex
	{
		public static readonly String INDEX_NAME = "JPKstNrBelegNr2";
			

		internal KostenstellenBlaetterSetJPKstNrBelegNr2Index(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KostenstellenBlaetterSetJPKstNrBelegNr2Index.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KostenstellenBlaetterSetJPKstNrBelegNr2Index.IndexFields rangeBegin, KostenstellenBlaetterSetJPKstNrBelegNr2Index.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Jahr ( SmallInt )</summary>
			public virtual Object Jahr {
				get { return this["Jahr"]; }
				set { this["Jahr"] = value; }
			}
			/// <summary>Periode ( Byte )</summary>
			public virtual Object Per {
				get { return this["Per"]; }
				set { this["Per"] = value; }
			}
			/// <summary>Kostenstellennummer ( String )</summary>
			public virtual String KstNr {
				get { return Convert.ToString(this["KstNr"]); }
				set { this["KstNr"] = value; }
			}
			/// <summary>Belegnummer 2 ( String )</summary>
			public virtual String BelegNr2 {
				get { return Convert.ToString(this["BelegNr2"]); }
				set { this["BelegNr2"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
