using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KrankenkassenSetIntNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "IntNr";
			

		internal KrankenkassenSetIntNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KrankenkassenSetIntNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KrankenkassenSetIntNrIndex.IndexFields rangeBegin, KrankenkassenSetIntNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Int Nummer ( Integer )</summary>
			public virtual Int32 IntNr {
				get { return Convert.ToInt32(this["IntNr"]); }
				set { this["IntNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
