using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerBestandSetArtNrLagNrChargeIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrLagNrCharge";
			

		internal LagerBestandSetArtNrLagNrChargeIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerBestandSetArtNrLagNrChargeIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerBestandSetArtNrLagNrChargeIndex.IndexFields rangeBegin, LagerBestandSetArtNrLagNrChargeIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Lagernummer ( String )</summary>
			public virtual String LagNr {
				get { return Convert.ToString(this["LagNr"]); }
				set { this["LagNr"] = value; }
			}
			/// <summary>Charge ( String )</summary>
			public virtual String Charge {
				get { return Convert.ToString(this["Charge"]); }
				set { this["Charge"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
