using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerBestandSetVerfallDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "VerfallDat";
			

		internal LagerBestandSetVerfallDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerBestandSetVerfallDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerBestandSetVerfallDatIndex.IndexFields rangeBegin, LagerBestandSetVerfallDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Verfallsdatum ( Date )</summary>
			public virtual DateTime VerfallDat {
				get { return Convert.ToDateTime(this["VerfallDat"]); }
				set { this["VerfallDat"] = value; }
			}
			/// <summary>Buchungsdatum ( DateTime )</summary>
			public virtual DateTime BuchDat {
				get { return Convert.ToDateTime(this["BuchDat"]); }
				set { this["BuchDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
