using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerSetArtNrAdrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrAdrNr";
			

		internal LagerSetArtNrAdrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerSetArtNrAdrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerSetArtNrAdrNrIndex.IndexFields rangeBegin, LagerSetArtNrAdrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Anschriftennummer ( Integer )</summary>
			public virtual Int32 AnsNr {
				get { return Convert.ToInt32(this["AnsNr"]); }
				set { this["AnsNr"] = value; }
			}
			/// <summary>Lagernummer ( String )</summary>
			public virtual String LagNr {
				get { return Convert.ToString(this["LagNr"]); }
				set { this["LagNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
