using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerbuchSetBelegNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BelegNr";
			

		internal LagerbuchSetBelegNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerbuchSetBelegNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerbuchSetBelegNrIndex.IndexFields rangeBegin, LagerbuchSetBelegNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Belegnummer ( String )</summary>
			public virtual String BelegNr {
				get { return Convert.ToString(this["BelegNr"]); }
				set { this["BelegNr"] = value; }
			}
			/// <summary>Belegpositionsnummer ( SmallInt )</summary>
			public virtual Object BelegPosNr {
				get { return this["BelegPosNr"]; }
				set { this["BelegPosNr"] = value; }
			}
			/// <summary>Datum ( DateTime )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
