using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class MandantSetKuBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KuBez";
			

		internal MandantSetKuBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(MandantSetKuBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(MandantSetKuBezIndex.IndexFields rangeBegin, MandantSetKuBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Kurzbezeichnung ( String )</summary>
			public virtual String KuBez {
				get { return Convert.ToString(this["KuBez"]); }
				set { this["KuBez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
