using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class MitarbeiterSetLandPLZIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "LandPLZ";
			

		internal MitarbeiterSetLandPLZIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(MitarbeiterSetLandPLZIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(MitarbeiterSetLandPLZIndex.IndexFields rangeBegin, MitarbeiterSetLandPLZIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Land ( Integer )</summary>
			public virtual Int32 Land {
				get { return Convert.ToInt32(this["Land"]); }
				set { this["Land"] = value; }
			}
			/// <summary>Postleitzahl ( String )</summary>
			public virtual String PLZ {
				get { return Convert.ToString(this["PLZ"]); }
				set { this["PLZ"] = value; }
			}
			/// <summary>Ort ( String )</summary>
			public virtual String Ort {
				get { return Convert.ToString(this["Ort"]); }
				set { this["Ort"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
