using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class MitarbeiterSetNrNumIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "NrNum";
			

		internal MitarbeiterSetNrNumIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(MitarbeiterSetNrNumIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(MitarbeiterSetNrNumIndex.IndexFields rangeBegin, MitarbeiterSetNrNumIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Mitarbeiternummer ( String )</summary>
			public virtual String MitNr {
				get { return Convert.ToString(this["MitNr"]); }
				set { this["MitNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
