using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ProjekteHistorySetArtAuftrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtAuftrNr";
			

		internal ProjekteHistorySetArtAuftrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ProjekteHistorySetArtAuftrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ProjekteHistorySetArtAuftrNrIndex.IndexFields rangeBegin, ProjekteHistorySetArtAuftrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Projektart ( Byte )</summary>
			public virtual Object Art {
				get { return this["Art"]; }
				set { this["Art"] = value; }
			}
			/// <summary>Auftragsnummer ( String )</summary>
			public virtual String AuftrNr {
				get { return Convert.ToString(this["AuftrNr"]); }
				set { this["AuftrNr"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
