using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ProjekteHistorySetHiDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "HiDat";
			

		internal ProjekteHistorySetHiDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ProjekteHistorySetHiDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ProjekteHistorySetHiDatIndex.IndexFields rangeBegin, ProjekteHistorySetHiDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Historydatum ( DateTime )</summary>
			public virtual DateTime HyDat {
				get { return Convert.ToDateTime(this["HyDat"]); }
				set { this["HyDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
