using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ProjekteSetArtNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNr";
			

		internal ProjekteSetArtNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ProjekteSetArtNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ProjekteSetArtNrIndex.IndexFields rangeBegin, ProjekteSetArtNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Projektart ( Byte )</summary>
			public virtual Object Art {
				get { return this["Art"]; }
				set { this["Art"] = value; }
			}
			/// <summary>Projektnummer ( String )</summary>
			public virtual String PrjNr {
				get { return Convert.ToString(this["PrjNr"]); }
				set { this["PrjNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
