using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ProtokolleSetErstDatMldIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ErstDatMld";
			

		internal ProtokolleSetErstDatMldIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ProtokolleSetErstDatMldIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ProtokolleSetErstDatMldIndex.IndexFields rangeBegin, ProtokolleSetErstDatMldIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Erstellungsdatum ( DateTime )</summary>
			public virtual DateTime ErstDat {
				get { return Convert.ToDateTime(this["ErstDat"]); }
				set { this["ErstDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
