using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class RegelnSetBZNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BZNr";
			

		internal RegelnSetBZNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(RegelnSetBZNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(RegelnSetBZNrIndex.IndexFields rangeBegin, RegelnSetBZNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String DBKuNa {
				get { return Convert.ToString(this["DBKuNa"]); }
				set { this["DBKuNa"] = value; }
			}
			/// <summary>Zeilennummer ( Integer )</summary>
			public virtual Int32 ZeilenNr {
				get { return Convert.ToInt32(this["ZeilenNr"]); }
				set { this["ZeilenNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
