using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ServiceVertraegeHisSetAdrNrPrjNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrPrjNr";
			

		internal ServiceVertraegeHisSetAdrNrPrjNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ServiceVertraegeHisSetAdrNrPrjNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ServiceVertraegeHisSetAdrNrPrjNrIndex.IndexFields rangeBegin, ServiceVertraegeHisSetAdrNrPrjNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Projektnummer ( String )</summary>
			public virtual String PrjNr {
				get { return Convert.ToString(this["PrjNr"]); }
				set { this["PrjNr"] = value; }
			}
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
