using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ServiceVertraegeSetAdrNrBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrBez";
			

		internal ServiceVertraegeSetAdrNrBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ServiceVertraegeSetAdrNrBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ServiceVertraegeSetAdrNrBezIndex.IndexFields rangeBegin, ServiceVertraegeSetAdrNrBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
