using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ServiceVertraegeSetAdrNrNaechAbrDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrNaechAbrDat";
			

		internal ServiceVertraegeSetAdrNrNaechAbrDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ServiceVertraegeSetAdrNrNaechAbrDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ServiceVertraegeSetAdrNrNaechAbrDatIndex.IndexFields rangeBegin, ServiceVertraegeSetAdrNrNaechAbrDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Datum der nchsten Abrechnung ( Date )</summary>
			public virtual DateTime NaechAbrDat {
				get { return Convert.ToDateTime(this["NaechAbrDat"]); }
				set { this["NaechAbrDat"] = value; }
			}
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
