using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ServiceVertraegeSetAdrNrSNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrSNr";
			

		internal ServiceVertraegeSetAdrNrSNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ServiceVertraegeSetAdrNrSNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ServiceVertraegeSetAdrNrSNrIndex.IndexFields rangeBegin, ServiceVertraegeSetAdrNrSNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Seriennummer ( String )</summary>
			public virtual String SerienNr {
				get { return Convert.ToString(this["SerienNr"]); }
				set { this["SerienNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
