using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support0SetNaechPruefDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "NaechPruefDat";
			

		internal Support0SetNaechPruefDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(Support0SetNaechPruefDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(Support0SetNaechPruefDatIndex.IndexFields rangeBegin, Support0SetNaechPruefDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Nchstes Datum der Prfung ( DateTime )</summary>
			public virtual DateTime GeprDatNaechst {
				get { return Convert.ToDateTime(this["GeprDatNaechst"]); }
				set { this["GeprDatNaechst"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
