using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support2SetBereichStufeIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BereichStufe";
			

		internal Support2SetBereichStufeIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(Support2SetBereichStufeIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(Support2SetBereichStufeIndex.IndexFields rangeBegin, Support2SetBereichStufeIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String Bereich {
				get { return Convert.ToString(this["Bereich"]); }
				set { this["Bereich"] = value; }
			}
			/// <summary>Stufe ( Byte )</summary>
			public virtual Object Stufe {
				get { return this["Stufe"]; }
				set { this["Stufe"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
