using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class TabellenansichtenSetDBKuNaVersModBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "DBKuNaVersModBez";
			

		internal TabellenansichtenSetDBKuNaVersModBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(TabellenansichtenSetDBKuNaVersModBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(TabellenansichtenSetDBKuNaVersModBezIndex.IndexFields rangeBegin, TabellenansichtenSetDBKuNaVersModBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String DBKuNa {
				get { return Convert.ToString(this["DBKuNa"]); }
				set { this["DBKuNa"] = value; }
			}
			/// <summary>Programmversion ( String )</summary>
			public virtual String PrgV {
				get { return Convert.ToString(this["PrgV"]); }
				set { this["PrgV"] = value; }
			}
			/// <summary>Modulkurzbezeichnung ( String )</summary>
			public virtual String ModKuBez {
				get { return Convert.ToString(this["ModKuBez"]); }
				set { this["ModKuBez"] = value; }
			}
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
