using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Taetigkeiten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Taetigkeiten";
			
		public static Taetigkeiten CreateInstance(BpnConnection connection)
		{
		    var taetigkeitenInfo = connection.GetDataSetInfo(DS_NAME);
		    var taetigkeitenDataSet = taetigkeitenInfo.CreateDataSet();
		
		    var ret = new Taetigkeiten(taetigkeitenDataSet);
		    return ret;
		}
		
		public Taetigkeiten(BpNT.AutoDataSet taetigkeitenDataSet) 
			: base(taetigkeitenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Ttigkeitsschlssel ( String )</summary>
		public virtual String Taetig
		{
			get { return Convert.ToString(this["Taetig"]); }
			set { this["Taetig"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}


		#endregion
	}
}
