using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class UmsSchemasSetTypKuBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "TypKuBez";
			

		internal UmsSchemasSetTypKuBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(UmsSchemasSetTypKuBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(UmsSchemasSetTypKuBezIndex.IndexFields rangeBegin, UmsSchemasSetTypKuBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>DbsKzBez ( String )</summary>
			public virtual String ussDBBkzBez {
				get { return Convert.ToString(this["ussDBBkzBez"]); }
				set { this["ussDBBkzBez"] = value; }
			}
			/// <summary>FeldName ( String )</summary>
			public virtual String ussFeldName {
				get { return Convert.ToString(this["ussFeldName"]); }
				set { this["ussFeldName"] = value; }
			}
			/// <summary>Kurzbezeichnung ( String )</summary>
			public virtual String KuBez {
				get { return Convert.ToString(this["KuBez"]); }
				set { this["KuBez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
