using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VersandArtenSetVersenderIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Versender";
			

		internal VersandArtenSetVersenderIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VersandArtenSetVersenderIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VersandArtenSetVersenderIndex.IndexFields rangeBegin, VersandArtenSetVersenderIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Versender ( String )</summary>
			public virtual String Versender {
				get { return Convert.ToString(this["Versender"]); }
				set { this["Versender"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
