using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VersandSetVsdAdrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "VsdAdrNr";
			

		internal VersandSetVsdAdrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VersandSetVsdAdrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VersandSetVsdAdrNrIndex.IndexFields rangeBegin, VersandSetVsdAdrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Versender ( String )</summary>
			public virtual String Versender {
				get { return Convert.ToString(this["Versender"]); }
				set { this["Versender"] = value; }
			}
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Paketnummer ( String )</summary>
			public virtual String PktNr {
				get { return Convert.ToString(this["PktNr"]); }
				set { this["PktNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
