using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VertreterWgrProvSetWgrNrVtrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "WgrNrVtrNr";
			

		internal VertreterWgrProvSetWgrNrVtrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VertreterWgrProvSetWgrNrVtrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VertreterWgrProvSetWgrNrVtrNrIndex.IndexFields rangeBegin, VertreterWgrProvSetWgrNrVtrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Warengruppennummer ( String )</summary>
			public virtual String WgrNr {
				get { return Convert.ToString(this["WgrNr"]); }
				set { this["WgrNr"] = value; }
			}
			/// <summary>Vertreternummer ( String )</summary>
			public virtual String VtrNr {
				get { return Convert.ToString(this["VtrNr"]); }
				set { this["VtrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
