using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorbestellungSetVbaBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "VbaBez";
			

		internal VorbestellungSetVbaBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VorbestellungSetVbaBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VorbestellungSetVbaBezIndex.IndexFields rangeBegin, VorbestellungSetVbaBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Vorbestellungart ( Integer )</summary>
			public virtual Int32 VbgVbaArt {
				get { return Convert.ToInt32(this["VbgVbaArt"]); }
				set { this["VbgVbaArt"] = value; }
			}
			/// <summary>Bezeichnung ( Integer )</summary>
			public virtual Int32 Bez {
				get { return Convert.ToInt32(this["Bez"]); }
				set { this["Bez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
