using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangSetLiAdrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "LiAdrNr";
			

		internal VorgangSetLiAdrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VorgangSetLiAdrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VorgangSetLiAdrNrIndex.IndexFields rangeBegin, VorgangSetLiAdrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Lieferanschrift Adressnummer ( String )</summary>
			public virtual String LiAdrNr {
				get { return Convert.ToString(this["LiAdrNr"]); }
				set { this["LiAdrNr"] = value; }
			}
			/// <summary>Belegnummer ( String )</summary>
			public virtual String BelegNr {
				get { return Convert.ToString(this["BelegNr"]); }
				set { this["BelegNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
