using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangSetLiefDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "LiefDat";
			

		internal VorgangSetLiefDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VorgangSetLiefDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VorgangSetLiefDatIndex.IndexFields rangeBegin, VorgangSetLiefDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Lieferdatum ( Date )</summary>
			public virtual DateTime LiefDat {
				get { return Convert.ToDateTime(this["LiefDat"]); }
				set { this["LiefDat"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
			/// <summary>Belegnummer ( String )</summary>
			public virtual String BelegNr {
				get { return Convert.ToString(this["BelegNr"]); }
				set { this["BelegNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
