using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class WarengruppenZuweisenSetNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Nr";
			

		internal WarengruppenZuweisenSetNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(WarengruppenZuweisenSetNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(WarengruppenZuweisenSetNrIndex.IndexFields rangeBegin, WarengruppenZuweisenSetNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>1.Warengruppennummer ( String )</summary>
			public virtual String WgrNr1 {
				get { return Convert.ToString(this["WgrNr1"]); }
				set { this["WgrNr1"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
