using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrArchivSetZAHiDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ZAHiDat";
			

		internal ZahlungsVerkehrArchivSetZAHiDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsVerkehrArchivSetZAHiDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsVerkehrArchivSetZAHiDatIndex.IndexFields rangeBegin, ZahlungsVerkehrArchivSetZAHiDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Zahlungsart ( Integer )</summary>
			public virtual Int32 ZahlArt {
				get { return Convert.ToInt32(this["ZahlArt"]); }
				set { this["ZahlArt"] = value; }
			}
			/// <summary>Historydatum ( DateTime )</summary>
			public virtual DateTime HyDat {
				get { return Convert.ToDateTime(this["HyDat"]); }
				set { this["HyDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
