using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrSetDBBkzBezNrBNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "DBBkzBezNrBNr";
			

		internal ZahlungsVerkehrSetDBBkzBezNrBNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsVerkehrSetDBBkzBezNrBNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsVerkehrSetDBBkzBezNrBNrIndex.IndexFields rangeBegin, ZahlungsVerkehrSetDBBkzBezNrBNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String DBBkzBez {
				get { return Convert.ToString(this["DBBkzBez"]); }
				set { this["DBBkzBez"] = value; }
			}
			/// <summary>Nummer ( String )</summary>
			public virtual String Nr {
				get { return Convert.ToString(this["Nr"]); }
				set { this["Nr"] = value; }
			}
			/// <summary>Belegnummer ( String )</summary>
			public virtual String BelegNr {
				get { return Convert.ToString(this["BelegNr"]); }
				set { this["BelegNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
