using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrSetEmKNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "EmKNr";
			

		internal ZahlungsVerkehrSetEmKNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsVerkehrSetEmKNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsVerkehrSetEmKNrIndex.IndexFields rangeBegin, ZahlungsVerkehrSetEmKNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Kontonummer des Empfngers ( String )</summary>
			public virtual String EmKNr {
				get { return Convert.ToString(this["EmKNr"]); }
				set { this["EmKNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
