using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrSetVwz2Index : BpnIndex
	{
		public static readonly String INDEX_NAME = "Vwz2";
			

		internal ZahlungsVerkehrSetVwz2Index(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsVerkehrSetVwz2Index.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsVerkehrSetVwz2Index.IndexFields rangeBegin, ZahlungsVerkehrSetVwz2Index.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Verwendungszweck 2 ( String )</summary>
			public virtual String VwZweck2 {
				get { return Convert.ToString(this["VwZweck2"]); }
				set { this["VwZweck2"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
