using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrSetZAEmBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ZAEmBez";
			

		internal ZahlungsVerkehrSetZAEmBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsVerkehrSetZAEmBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsVerkehrSetZAEmBezIndex.IndexFields rangeBegin, ZahlungsVerkehrSetZAEmBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Zahlungsart ( Integer )</summary>
			public virtual Int32 ZahlArt {
				get { return Convert.ToInt32(this["ZahlArt"]); }
				set { this["ZahlArt"] = value; }
			}
			/// <summary>Empfnger ( String )</summary>
			public virtual String EmNamen {
				get { return Convert.ToString(this["EmNamen"]); }
				set { this["EmNamen"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
