using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsverkehrEingangHisSetHBkAdrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "HBkAdrNr";
			

		internal ZahlungsverkehrEingangHisSetHBkAdrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsverkehrEingangHisSetHBkAdrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsverkehrEingangHisSetHBkAdrNrIndex.IndexFields rangeBegin, ZahlungsverkehrEingangHisSetHBkAdrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Nummer der Hausbank (Kontoauszug) ( Integer )</summary>
			public virtual Int32 KazHBk {
				get { return Convert.ToInt32(this["KazHBk"]); }
				set { this["KazHBk"] = value; }
			}
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Anschriftennummer ( Integer )</summary>
			public virtual Int32 AnsNr {
				get { return Convert.ToInt32(this["AnsNr"]); }
				set { this["AnsNr"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
