using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsverkehrEingangSetHBkBetIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "HBkBet";
			

		internal ZahlungsverkehrEingangSetHBkBetIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsverkehrEingangSetHBkBetIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsverkehrEingangSetHBkBetIndex.IndexFields rangeBegin, ZahlungsverkehrEingangSetHBkBetIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Nummer der Hausbank (Kontoauszug) ( Integer )</summary>
			public virtual Int32 KazHBk {
				get { return Convert.ToInt32(this["KazHBk"]); }
				set { this["KazHBk"] = value; }
			}
			/// <summary>Betrag ( Double )</summary>
			public virtual Object Bet {
				get { return this["Bet"]; }
				set { this["Bet"] = value; }
			}
			/// <summary>ID ( AutoInc )</summary>
			public virtual Int32 ID {
				get { return Convert.ToInt32(this["ID"]); }
				set { this["ID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
