using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwArtikelDatenSetGrpAbwArtNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "GrpAbwArtNr";
			

		internal AbwArtikelDatenSetGrpAbwArtNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AbwArtikelDatenSetGrpAbwArtNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AbwArtikelDatenSetGrpAbwArtNrIndex.IndexFields rangeBegin, AbwArtikelDatenSetGrpAbwArtNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Gruppe ( Integer )</summary>
			public virtual Int32 Grp {
				get { return Convert.ToInt32(this["Grp"]); }
				set { this["Grp"] = value; }
			}
			/// <summary>Abweichende Artikelnummer ( String )</summary>
			public virtual String AbwArtNr {
				get { return Convert.ToString(this["AbwArtNr"]); }
				set { this["AbwArtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
