using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwesenheitenSetVertrMitNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "VertrMitNr";
			

		internal AbwesenheitenSetVertrMitNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AbwesenheitenSetVertrMitNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AbwesenheitenSetVertrMitNrIndex.IndexFields rangeBegin, AbwesenheitenSetVertrMitNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Vertretung durch Mitarbeiternummer ( String )</summary>
			public virtual String VertrMitNr {
				get { return Convert.ToString(this["VertrMitNr"]); }
				set { this["VertrMitNr"] = value; }
			}
			/// <summary>Startdatum ( DateTime )</summary>
			public virtual DateTime StartDat {
				get { return Convert.ToDateTime(this["StartDat"]); }
				set { this["StartDat"] = value; }
			}
			/// <summary>Mitarbeiternummer ( String )</summary>
			public virtual String MitNr {
				get { return Convert.ToString(this["MitNr"]); }
				set { this["MitNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
