using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnlagenSetAnlPoolIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AnlPool";
			

		internal AnlagenSetAnlPoolIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnlagenSetAnlPoolIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnlagenSetAnlPoolIndex.IndexFields rangeBegin, AnlagenSetAnlPoolIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Pooljahr ( Integer )</summary>
			public virtual Int32 PoolJahr {
				get { return Convert.ToInt32(this["PoolJahr"]); }
				set { this["PoolJahr"] = value; }
			}
			/// <summary>Anlagennummer ( String )</summary>
			public virtual String AnlNr {
				get { return Convert.ToString(this["AnlNr"]); }
				set { this["AnlNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
