using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnlagenSetSollKtoNrInvestAbzugIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "SollKtoNrInvestAbzug";
			

		internal AnlagenSetSollKtoNrInvestAbzugIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnlagenSetSollKtoNrInvestAbzugIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnlagenSetSollKtoNrInvestAbzugIndex.IndexFields rangeBegin, AnlagenSetSollKtoNrInvestAbzugIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Konto Investitionsabzug Soll-Seite ( String )</summary>
			public virtual String SollKtoInvestabzug {
				get { return Convert.ToString(this["SollKtoInvestabzug"]); }
				set { this["SollKtoInvestabzug"] = value; }
			}
			/// <summary>Bezeichnung ( String )</summary>
			public virtual String Bez {
				get { return Convert.ToString(this["Bez"]); }
				set { this["Bez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
