using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnschriftenSetNa2Index : BpnIndex
	{
		public static readonly String INDEX_NAME = "Na2";
			

		internal AnschriftenSetNa2Index(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(AnschriftenSetNa2Index.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(AnschriftenSetNa2Index.IndexFields rangeBegin, AnschriftenSetNa2Index.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Name 2 ( String )</summary>
			public virtual String Na2 {
				get { return Convert.ToString(this["Na2"]); }
				set { this["Na2"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
