using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelLieferantenSetStdPreisIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "StdPreis";
			

		internal ArtikelLieferantenSetStdPreisIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelLieferantenSetStdPreisIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelLieferantenSetStdPreisIndex.IndexFields rangeBegin, ArtikelLieferantenSetStdPreisIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Effektiver Standard Preis in LW1 ( Double )</summary>
			public virtual Object StdEkFuerIxPreis {
				get { return this["StdEkFuerIxPreis"]; }
				set { this["StdEkFuerIxPreis"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
