using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelSetArtSuchBegIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtSuchBeg";
			

		internal ArtikelSetArtSuchBegIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelSetArtSuchBegIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelSetArtSuchBegIndex.IndexFields rangeBegin, ArtikelSetArtSuchBegIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Art des Artikel ( Integer )</summary>
			public virtual Int32 ArtikelArt {
				get { return Convert.ToInt32(this["ArtikelArt"]); }
				set { this["ArtikelArt"] = value; }
			}
			/// <summary>Suchbegriff ( String )</summary>
			public virtual String SuchBeg {
				get { return Convert.ToString(this["SuchBeg"]); }
				set { this["SuchBeg"] = value; }
			}
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
