using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelSetKuBez1Index : BpnIndex
	{
		public static readonly String INDEX_NAME = "KuBez1";
			

		internal ArtikelSetKuBez1Index(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelSetKuBez1Index.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelSetKuBez1Index.IndexFields rangeBegin, ArtikelSetKuBez1Index.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Kurzbezeichnung 1 ( String )</summary>
			public virtual String KuBez1 {
				get { return Convert.ToString(this["KuBez1"]); }
				set { this["KuBez1"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
