using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelSetRefWertIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "RefWert";
			

		internal ArtikelSetRefWertIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ArtikelSetRefWertIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ArtikelSetRefWertIndex.IndexFields rangeBegin, ArtikelSetRefWertIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Referenz ( String )</summary>
			public virtual String Ref {
				get { return Convert.ToString(this["Ref"]); }
				set { this["Ref"] = value; }
			}
			/// <summary>Referenzwertung ( Integer )</summary>
			public virtual Int32 RefWert {
				get { return Convert.ToInt32(this["RefWert"]); }
				set { this["RefWert"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
