using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BankKontoAuszuegeSetHBkTxtIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "HBkTxt";
			

		internal BankKontoAuszuegeSetHBkTxtIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BankKontoAuszuegeSetHBkTxtIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BankKontoAuszuegeSetHBkTxtIndex.IndexFields rangeBegin, BankKontoAuszuegeSetHBkTxtIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Nummer der Hausbank ( Integer )</summary>
			public virtual Int32 HBk {
				get { return Convert.ToInt32(this["HBk"]); }
				set { this["HBk"] = value; }
			}
			/// <summary>Text ( String )</summary>
			public virtual String Txt {
				get { return Convert.ToString(this["Txt"]); }
				set { this["Txt"] = value; }
			}
			/// <summary>ID ( AutoInc )</summary>
			public virtual Int32 ID {
				get { return Convert.ToInt32(this["ID"]); }
				set { this["ID"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
