using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BeitragsAbrechnungenSetKrkNrKbuDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "KrkNrKbuDat";
			

		internal BeitragsAbrechnungenSetKrkNrKbuDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BeitragsAbrechnungenSetKrkNrKbuDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BeitragsAbrechnungenSetKrkNrKbuDatIndex.IndexFields rangeBegin, BeitragsAbrechnungenSetKrkNrKbuDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Einzugsstellennummer fr Beitragsabrechnung ( String )</summary>
			public virtual String KbuKrkNr {
				get { return Convert.ToString(this["KbuKrkNr"]); }
				set { this["KbuKrkNr"] = value; }
			}
			/// <summary>Datum fr Beitragsabrechnung ( DateTime )</summary>
			public virtual DateTime KbuDat {
				get { return Convert.ToDateTime(this["KbuDat"]); }
				set { this["KbuDat"] = value; }
			}
			/// <summary>Mitarbeiternummer ( String )</summary>
			public virtual String MitNr {
				get { return Convert.ToString(this["MitNr"]); }
				set { this["MitNr"] = value; }
			}
			/// <summary>Kbu JMAw ( Integer )</summary>
			public virtual Int32 KbuJMAw {
				get { return Convert.ToInt32(this["KbuJMAw"]); }
				set { this["KbuJMAw"] = value; }
			}
			/// <summary>Kbu JMAwKor ( Integer )</summary>
			public virtual Int32 KbuJMAwKor {
				get { return Convert.ToInt32(this["KbuJMAwKor"]); }
				set { this["KbuJMAwKor"] = value; }
			}
			/// <summary>Kbu Aw ( Integer )</summary>
			public virtual Int32 KbuAw {
				get { return Convert.ToInt32(this["KbuAw"]); }
				set { this["KbuAw"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
