using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BestelleingangSetAdrNrBelegNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AdrNrBelegNr";
			

		internal BestelleingangSetAdrNrBelegNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BestelleingangSetAdrNrBelegNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BestelleingangSetAdrNrBelegNrIndex.IndexFields rangeBegin, BestelleingangSetAdrNrBelegNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Adressnummer ( String )</summary>
			public virtual String AdrNr {
				get { return Convert.ToString(this["AdrNr"]); }
				set { this["AdrNr"] = value; }
			}
			/// <summary>Belegnummer ( String )</summary>
			public virtual String BelegNr {
				get { return Convert.ToString(this["BelegNr"]); }
				set { this["BelegNr"] = value; }
			}
			/// <summary>Belegpositionsnummer ( SmallInt )</summary>
			public virtual Object BelegPosNr {
				get { return this["BelegPosNr"]; }
				set { this["BelegPosNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
