using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenKasseSetJPGKstNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "JPGKstNr";
			

		internal BuchungenKasseSetJPGKstNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BuchungenKasseSetJPGKstNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BuchungenKasseSetJPGKstNrIndex.IndexFields rangeBegin, BuchungenKasseSetJPGKstNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Jahr ( SmallInt )</summary>
			public virtual Object Jahr {
				get { return this["Jahr"]; }
				set { this["Jahr"] = value; }
			}
			/// <summary>Periode ( Byte )</summary>
			public virtual Object Per {
				get { return this["Per"]; }
				set { this["Per"] = value; }
			}
			/// <summary>Gegenkostenstellennummer ( String )</summary>
			public virtual String GKstNr {
				get { return Convert.ToString(this["GKstNr"]); }
				set { this["GKstNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
