using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class DTAHistory : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "DTAHistory";
			
		public static DTAHistory CreateInstance(BpnConnection connection)
		{
		    var dtahistoryInfo = connection.GetDataSetInfo(DS_NAME);
		    var dtahistoryDataSet = dtahistoryInfo.CreateDataSet();
		
		    var ret = new DTAHistory(dtahistoryDataSet);
		    return ret;
		}
		
		public DTAHistory(BpNT.AutoDataSet dtahistoryDataSet) 
			: base(dtahistoryDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>DTABegleitzettel ( BlobTable )</summary>
		public virtual Object DTABgl
		{
			get { return this["DTABgl"]; }
			set { this["DTABgl"] = value; }
		}
		/// <summary>ZahlungsVerkehr ( BlobTable )</summary>
		public virtual Object Zvk
		{
			get { return this["Zvk"]; }
			set { this["Zvk"] = value; }
		}


		#endregion
	}
}
