using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class DTAHistorySet : BpnEntitySet<DTAHistory>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "DTAHistory";
			
		public static DTAHistorySet CreateInstance(BpnConnection connection)
		{
		    var dtahistorysetInfo = connection.GetDataSetInfo(DS_NAME);
		    var dtahistorysetDataSet = dtahistorysetInfo.CreateDataSet();
		
		    var ret = new DTAHistorySet(dtahistorysetDataSet);
		    return ret;
		}
		
		internal DTAHistorySet(BpNT.AutoDataSet dtahistoryDataSet) 
			: base(dtahistoryDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected DTAHistorySet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new DTAHistorySet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected DTAHistorySet parentSet;
		
		
			internal IndicesClass(DTAHistorySet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
			}
		
			#region Properties
		
		
			#endregion
		}

		public DTAHistorySet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
