using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class DokumenteSetAnlNaIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AnlNa";
			

		internal DokumenteSetAnlNaIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(DokumenteSetAnlNaIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(DokumenteSetAnlNaIndex.IndexFields rangeBegin, DokumenteSetAnlNaIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Name ( String )</summary>
			public virtual String Na {
				get { return Convert.ToString(this["Na"]); }
				set { this["Na"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
