using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class EinsatzzuordnungSet : BpnEntitySet<Einsatzzuordnung>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Einsatzzuordnung";
			
		public static EinsatzzuordnungSet CreateInstance(BpnConnection connection)
		{
		    var einsatzzuordnungsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var einsatzzuordnungsetDataSet = einsatzzuordnungsetInfo.CreateDataSet();
		
		    var ret = new EinsatzzuordnungSet(einsatzzuordnungsetDataSet);
		    return ret;
		}
		
		internal EinsatzzuordnungSet(BpNT.AutoDataSet einsatzzuordnungDataSet) 
			: base(einsatzzuordnungDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected EinsatzzuordnungSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new EinsatzzuordnungSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected EinsatzzuordnungSet parentSet;
		
			protected EinsatzzuordnungSetMitNrIndex mitNrIndex;
		
			internal IndicesClass(EinsatzzuordnungSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				mitNrIndex = new EinsatzzuordnungSetMitNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Mitarbeiternummer</summary>
			public EinsatzzuordnungSetMitNrIndex MitNrIndex
			{
				get { return mitNrIndex; }
			}
			
		
			#endregion
		}

		public EinsatzzuordnungSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
