using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class FilialenSetFilNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "FilNr";
			

		internal FilialenSetFilNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(FilialenSetFilNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(FilialenSetFilNrIndex.IndexFields rangeBegin, FilialenSetFilNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Filialnummer ( Integer )</summary>
			public virtual Int32 FilNr {
				get { return Convert.ToInt32(this["FilNr"]); }
				set { this["FilNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
