using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class GeoKartenSetLandBaseDetailIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "LandBaseDetail";
			

		internal GeoKartenSetLandBaseDetailIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(GeoKartenSetLandBaseDetailIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(GeoKartenSetLandBaseDetailIndex.IndexFields rangeBegin, GeoKartenSetLandBaseDetailIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Lnderkennzeichen ( Integer )</summary>
			public virtual Int32 LandKennz {
				get { return Convert.ToInt32(this["LandKennz"]); }
				set { this["LandKennz"] = value; }
			}
			/// <summary>Hauptkarte Kennzeichen ( Boolean )</summary>
			public virtual Object BaseMapKZ {
				get { return this["BaseMapKZ"]; }
				set { this["BaseMapKZ"] = value; }
			}
			/// <summary>Detail der Karte ( Integer )</summary>
			public virtual Int32 Detail {
				get { return Convert.ToInt32(this["Detail"]); }
				set { this["Detail"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
