using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class IdentifikationenSetDataIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Data";
			

		internal IdentifikationenSetDataIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(IdentifikationenSetDataIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(IdentifikationenSetDataIndex.IndexFields rangeBegin, IdentifikationenSetDataIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Art ( Integer )</summary>
			public virtual Int32 Art {
				get { return Convert.ToInt32(this["Art"]); }
				set { this["Art"] = value; }
			}
			/// <summary>Daten ( String )</summary>
			public virtual String DatenStr {
				get { return Convert.ToString(this["DatenStr"]); }
				set { this["DatenStr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
