using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class IdentifikationenZOSetDBBkzBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "DBBkzBez";
			

		internal IdentifikationenZOSetDBBkzBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(IdentifikationenZOSetDBBkzBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(IdentifikationenZOSetDBBkzBezIndex.IndexFields rangeBegin, IdentifikationenZOSetDBBkzBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Identifikationennummer ( String )</summary>
			public virtual String IdtNr {
				get { return Convert.ToString(this["IdtNr"]); }
				set { this["IdtNr"] = value; }
			}
			/// <summary>Bereich ( String )</summary>
			public virtual String DBBkzBez {
				get { return Convert.ToString(this["DBBkzBez"]); }
				set { this["DBBkzBez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
