using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KalenderArchivSetAnhNrArtDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AnhNrArtDat";
			

		internal KalenderArchivSetAnhNrArtDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KalenderArchivSetAnhNrArtDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KalenderArchivSetAnhNrArtDatIndex.IndexFields rangeBegin, KalenderArchivSetAnhNrArtDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Anhang (Bereich) ( String )</summary>
			public virtual String AnhDBBkzBez {
				get { return Convert.ToString(this["AnhDBBkzBez"]); }
				set { this["AnhDBBkzBez"] = value; }
			}
			/// <summary>Anhang (ID) ( Integer )</summary>
			public virtual Int32 AnhNr {
				get { return Convert.ToInt32(this["AnhNr"]); }
				set { this["AnhNr"] = value; }
			}
			/// <summary>Art ( Byte )</summary>
			public virtual Object Art {
				get { return this["Art"]; }
				set { this["Art"] = value; }
			}
			/// <summary>Startdatum ( Date )</summary>
			public virtual DateTime StartDat {
				get { return Convert.ToDateTime(this["StartDat"]); }
				set { this["StartDat"] = value; }
			}
			/// <summary>Startzeit ( Time )</summary>
			public virtual Object StartZt {
				get { return this["StartZt"]; }
				set { this["StartZt"] = value; }
			}
			/// <summary>Enddatum ( Date )</summary>
			public virtual DateTime EndDat {
				get { return Convert.ToDateTime(this["EndDat"]); }
				set { this["EndDat"] = value; }
			}
			/// <summary>Endzeit ( Time )</summary>
			public virtual Object EndZt {
				get { return this["EndZt"]; }
				set { this["EndZt"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
