using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KalenderArchivSetAspNrDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AspNrDat";
			

		internal KalenderArchivSetAspNrDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KalenderArchivSetAspNrDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KalenderArchivSetAspNrDatIndex.IndexFields rangeBegin, KalenderArchivSetAspNrDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Ansprechpartner (Bereich) ( String )</summary>
			public virtual String AspDBBkzBez {
				get { return Convert.ToString(this["AspDBBkzBez"]); }
				set { this["AspDBBkzBez"] = value; }
			}
			/// <summary>Ansprechpartner (Nr.) ( String )</summary>
			public virtual String AspNr {
				get { return Convert.ToString(this["AspNr"]); }
				set { this["AspNr"] = value; }
			}
			/// <summary>Startdatum ( Date )</summary>
			public virtual DateTime StartDat {
				get { return Convert.ToDateTime(this["StartDat"]); }
				set { this["StartDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
