using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KalenderArchivSetParentIDTerminTypWiedIDIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ParentIDTerminTypWiedID";
			

		internal KalenderArchivSetParentIDTerminTypWiedIDIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KalenderArchivSetParentIDTerminTypWiedIDIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KalenderArchivSetParentIDTerminTypWiedIDIndex.IndexFields rangeBegin, KalenderArchivSetParentIDTerminTypWiedIDIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Serientermin ParentID Kennzeichen ( Integer )</summary>
			public virtual Int32 StParentIDKz {
				get { return Convert.ToInt32(this["StParentIDKz"]); }
				set { this["StParentIDKz"] = value; }
			}
			/// <summary>Serientermin Typ Kennzeichen ( Byte )</summary>
			public virtual Object StTypKz {
				get { return this["StTypKz"]; }
				set { this["StTypKz"] = value; }
			}
			/// <summary>Serientermin Wiederholung ID Kennzeichen ( Integer )</summary>
			public virtual Int32 StWiedIDKz {
				get { return Convert.ToInt32(this["StWiedIDKz"]); }
				set { this["StWiedIDKz"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
