using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KassenSetFNrNrIBNrAltIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "FNrNrIBNrAlt";
			

		internal KassenSetFNrNrIBNrAltIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KassenSetFNrNrIBNrAltIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KassenSetFNrNrIBNrAltIndex.IndexFields rangeBegin, KassenSetFNrNrIBNrAltIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Filialnummer ( Integer )</summary>
			public virtual Int32 FilNr {
				get { return Convert.ToInt32(this["FilNr"]); }
				set { this["FilNr"] = value; }
			}
			/// <summary>Kassennummer ( Byte )</summary>
			public virtual Object KasseNr {
				get { return this["KasseNr"]; }
				set { this["KasseNr"] = value; }
			}
			/// <summary>alte interne Belegnummer ( Integer )</summary>
			public virtual Int32 IntBelegNrAlt {
				get { return Convert.ToInt32(this["IntBelegNrAlt"]); }
				set { this["IntBelegNrAlt"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
