using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KassenSetIBNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "IBNr";
			

		internal KassenSetIBNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KassenSetIBNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KassenSetIBNrIndex.IndexFields rangeBegin, KassenSetIBNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>interne Belegnummer ( AutoInc )</summary>
			public virtual Int32 IntBelegNr {
				get { return Convert.ToInt32(this["IntBelegNr"]); }
				set { this["IntBelegNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
