using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontakteSetDBBkzBezKuInfoIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "DBBkzBezKuInfo";
			

		internal KontakteSetDBBkzBezKuInfoIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontakteSetDBBkzBezKuInfoIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontakteSetDBBkzBezKuInfoIndex.IndexFields rangeBegin, KontakteSetDBBkzBezKuInfoIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String DBBkzBez {
				get { return Convert.ToString(this["DBBkzBez"]); }
				set { this["DBBkzBez"] = value; }
			}
			/// <summary>Kurzinformation ( String )</summary>
			public virtual String KuInfo {
				get { return Convert.ToString(this["KuInfo"]); }
				set { this["KuInfo"] = value; }
			}
			/// <summary>Erfassungsdatum ( DateTime )</summary>
			public virtual DateTime ErfDat {
				get { return Convert.ToDateTime(this["ErfDat"]); }
				set { this["ErfDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
