using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontenBlaetterSetJPKtoNrBelegNr1Index : BpnIndex
	{
		public static readonly String INDEX_NAME = "JPKtoNrBelegNr1";
			

		internal KontenBlaetterSetJPKtoNrBelegNr1Index(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KontenBlaetterSetJPKtoNrBelegNr1Index.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KontenBlaetterSetJPKtoNrBelegNr1Index.IndexFields rangeBegin, KontenBlaetterSetJPKtoNrBelegNr1Index.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Jahr ( SmallInt )</summary>
			public virtual Object Jahr {
				get { return this["Jahr"]; }
				set { this["Jahr"] = value; }
			}
			/// <summary>Periode ( Byte )</summary>
			public virtual Object Per {
				get { return this["Per"]; }
				set { this["Per"] = value; }
			}
			/// <summary>Kontonummer ( String )</summary>
			public virtual String KtoNr {
				get { return Convert.ToString(this["KtoNr"]); }
				set { this["KtoNr"] = value; }
			}
			/// <summary>Belegnummer 1 ( String )</summary>
			public virtual String BelegNr1 {
				get { return Convert.ToString(this["BelegNr1"]); }
				set { this["BelegNr1"] = value; }
			}
			/// <summary>Seite ( Integer )</summary>
			public virtual Int32 Seite {
				get { return Convert.ToInt32(this["Seite"]); }
				set { this["Seite"] = value; }
			}
			/// <summary>Laufende Buchungsnummer ( Integer )</summary>
			public virtual Int32 LfdBchNr {
				get { return Convert.ToInt32(this["LfdBchNr"]); }
				set { this["LfdBchNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
