using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KostenstellenBlaetterSetHabenIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Haben";
			

		internal KostenstellenBlaetterSetHabenIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KostenstellenBlaetterSetHabenIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KostenstellenBlaetterSetHabenIndex.IndexFields rangeBegin, KostenstellenBlaetterSetHabenIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Leistungen-Betrag ( Double )</summary>
			public virtual Object LeistBet {
				get { return this["LeistBet"]; }
				set { this["LeistBet"] = value; }
			}
			/// <summary>Datum ( Date )</summary>
			public virtual DateTime Dat {
				get { return Convert.ToDateTime(this["Dat"]); }
				set { this["Dat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
