using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KrankenkassenSetVgbKrkNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "VgbKrkNr";
			

		internal KrankenkassenSetVgbKrkNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(KrankenkassenSetVgbKrkNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(KrankenkassenSetVgbKrkNrIndex.IndexFields rangeBegin, KrankenkassenSetVgbKrkNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Vorgabe Einzugsstellennummer ( String )</summary>
			public virtual String VgbKrkNr {
				get { return Convert.ToString(this["VgbKrkNr"]); }
				set { this["VgbKrkNr"] = value; }
			}
			/// <summary>Einzugsstellennummer ( String )</summary>
			public virtual String KrkNr {
				get { return Convert.ToString(this["KrkNr"]); }
				set { this["KrkNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
