using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerBestandSetArtNrLagNrArtVfDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrLagNrArtVfDat";
			

		internal LagerBestandSetArtNrLagNrArtVfDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerBestandSetArtNrLagNrArtVfDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerBestandSetArtNrLagNrArtVfDatIndex.IndexFields rangeBegin, LagerBestandSetArtNrLagNrArtVfDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Lagernummer ( String )</summary>
			public virtual String LagNr {
				get { return Convert.ToString(this["LagNr"]); }
				set { this["LagNr"] = value; }
			}
			/// <summary>Lagerbestandsart ( Integer )</summary>
			public virtual Int32 LagBestArt {
				get { return Convert.ToInt32(this["LagBestArt"]); }
				set { this["LagBestArt"] = value; }
			}
			/// <summary>Verfallsdatum ( Date )</summary>
			public virtual DateTime VerfallDat {
				get { return Convert.ToDateTime(this["VerfallDat"]); }
				set { this["VerfallDat"] = value; }
			}
			/// <summary>Buchungsdatum ( DateTime )</summary>
			public virtual DateTime BuchDat {
				get { return Convert.ToDateTime(this["BuchDat"]); }
				set { this["BuchDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
