using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LagerBestandSetSNrBDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "SNrBDat";
			

		internal LagerBestandSetSNrBDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(LagerBestandSetSNrBDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(LagerBestandSetSNrBDatIndex.IndexFields rangeBegin, LagerBestandSetSNrBDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Seriennummer ( String )</summary>
			public virtual String SerienNr {
				get { return Convert.ToString(this["SerienNr"]); }
				set { this["SerienNr"] = value; }
			}
			/// <summary>Buchungsdatum ( DateTime )</summary>
			public virtual DateTime BuchDat {
				get { return Convert.ToDateTime(this["BuchDat"]); }
				set { this["BuchDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
