using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LohnBuchKontenSet : BpnEntitySet<LohnBuchKonten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "LohnBuchKonten";
			
		public static LohnBuchKontenSet CreateInstance(BpnConnection connection)
		{
		    var lohnbuchkontensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var lohnbuchkontensetDataSet = lohnbuchkontensetInfo.CreateDataSet();
		
		    var ret = new LohnBuchKontenSet(lohnbuchkontensetDataSet);
		    return ret;
		}
		
		internal LohnBuchKontenSet(BpNT.AutoDataSet lohnbuchkontenDataSet) 
			: base(lohnbuchkontenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected LohnBuchKontenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new LohnBuchKontenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected LohnBuchKontenSet parentSet;
		
		
			internal IndicesClass(LohnBuchKontenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
			}
		
			#region Properties
		
		
			#endregion
		}

		public LohnBuchKontenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
