using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class MitarbeiterSetNaNaIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "NaNa";
			

		internal MitarbeiterSetNaNaIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(MitarbeiterSetNaNaIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(MitarbeiterSetNaNaIndex.IndexFields rangeBegin, MitarbeiterSetNaNaIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Nachname ( String )</summary>
			public virtual String NNa {
				get { return Convert.ToString(this["NNa"]); }
				set { this["NNa"] = value; }
			}
			/// <summary>Vorname ( String )</summary>
			public virtual String VNa {
				get { return Convert.ToString(this["VNa"]); }
				set { this["VNa"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
