using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class OffenePostenSetAuftrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AuftrNr";
			

		internal OffenePostenSetAuftrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(OffenePostenSetAuftrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(OffenePostenSetAuftrNrIndex.IndexFields rangeBegin, OffenePostenSetAuftrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Auftragsnummer ( String )</summary>
			public virtual String AuftrNr {
				get { return Convert.ToString(this["AuftrNr"]); }
				set { this["AuftrNr"] = value; }
			}
			/// <summary>Buchungsdatum ( Date )</summary>
			public virtual DateTime BuchDat {
				get { return Convert.ToDateTime(this["BuchDat"]); }
				set { this["BuchDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
