using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class RegelnSetBNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BNr";
			

		internal RegelnSetBNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(RegelnSetBNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(RegelnSetBNrIndex.IndexFields rangeBegin, RegelnSetBNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String DBKuNa {
				get { return Convert.ToString(this["DBKuNa"]); }
				set { this["DBKuNa"] = value; }
			}
			/// <summary>Nummer ( Integer )</summary>
			public virtual Int32 Nr {
				get { return Convert.ToInt32(this["Nr"]); }
				set { this["Nr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
