using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support1SetBereichErstDatIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BereichErstDat";
			

		internal Support1SetBereichErstDatIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(Support1SetBereichErstDatIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(Support1SetBereichErstDatIndex.IndexFields rangeBegin, Support1SetBereichErstDatIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String Bereich {
				get { return Convert.ToString(this["Bereich"]); }
				set { this["Bereich"] = value; }
			}
			/// <summary>Erstellungsdatum ( DateTime )</summary>
			public virtual DateTime IntErstDat {
				get { return Convert.ToDateTime(this["IntErstDat"]); }
				set { this["IntErstDat"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
