using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support3SetBereichKuBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BereichKuBez";
			

		internal Support3SetBereichKuBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(Support3SetBereichKuBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(Support3SetBereichKuBezIndex.IndexFields rangeBegin, Support3SetBereichKuBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bereich ( String )</summary>
			public virtual String Bereich {
				get { return Convert.ToString(this["Bereich"]); }
				set { this["Bereich"] = value; }
			}
			/// <summary>Kurzbezeichnung ( String )</summary>
			public virtual String KuBez {
				get { return Convert.ToString(this["KuBez"]); }
				set { this["KuBez"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
