using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support3SetStufeIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "Stufe";
			

		internal Support3SetStufeIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(Support3SetStufeIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(Support3SetStufeIndex.IndexFields rangeBegin, Support3SetStufeIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Stufe ( Byte )</summary>
			public virtual Object Stufe {
				get { return this["Stufe"]; }
				set { this["Stufe"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
