using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class TerminalBenutzerSetTMaNrAnmNaIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "TMaNrAnmNa";
			

		internal TerminalBenutzerSetTMaNrAnmNaIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(TerminalBenutzerSetTMaNrAnmNaIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(TerminalBenutzerSetTMaNrAnmNaIndex.IndexFields rangeBegin, TerminalBenutzerSetTMaNrAnmNaIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Terminal-Mandant Nummer ( Integer )</summary>
			public virtual Int32 TMaNr {
				get { return Convert.ToInt32(this["TMaNr"]); }
				set { this["TMaNr"] = value; }
			}
			/// <summary>Anmeldename ( String )</summary>
			public virtual String AnmNa {
				get { return Convert.ToString(this["AnmNa"]); }
				set { this["AnmNa"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
