using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VertreterArtProvSetArtNrVtrNrIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "ArtNrVtrNr";
			

		internal VertreterArtProvSetArtNrVtrNrIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(VertreterArtProvSetArtNrVtrNrIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(VertreterArtProvSetArtNrVtrNrIndex.IndexFields rangeBegin, VertreterArtProvSetArtNrVtrNrIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Artikelnummer ( String )</summary>
			public virtual String ArtNr {
				get { return Convert.ToString(this["ArtNr"]); }
				set { this["ArtNr"] = value; }
			}
			/// <summary>Vertreternummer ( String )</summary>
			public virtual String VtrNr {
				get { return Convert.ToString(this["VtrNr"]); }
				set { this["VtrNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
