using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class WarengruppenZuweisen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "WarengruppenZuweisen";
			
		public static WarengruppenZuweisen CreateInstance(BpnConnection connection)
		{
		    var warengruppenzuweisenInfo = connection.GetDataSetInfo(DS_NAME);
		    var warengruppenzuweisenDataSet = warengruppenzuweisenInfo.CreateDataSet();
		
		    var ret = new WarengruppenZuweisen(warengruppenzuweisenDataSet);
		    return ret;
		}
		
		public WarengruppenZuweisen(BpNT.AutoDataSet warengruppenzuweisenDataSet) 
			: base(warengruppenzuweisenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>1.Warengruppennummer ( String )</summary>
		public virtual String WgrNr1
		{
			get { return Convert.ToString(this["WgrNr1"]); }
			set { this["WgrNr1"] = value; }
		}
		/// <summary>2.Warengruppennummer ( String )</summary>
		public virtual String WgrNr2
		{
			get { return Convert.ToString(this["WgrNr2"]); }
			set { this["WgrNr2"] = value; }
		}
		/// <summary>3.Warengruppennummer ( String )</summary>
		public virtual String WgrNr3
		{
			get { return Convert.ToString(this["WgrNr3"]); }
			set { this["WgrNr3"] = value; }
		}
		/// <summary>4.Warengruppennummer ( String )</summary>
		public virtual String WgrNr4
		{
			get { return Convert.ToString(this["WgrNr4"]); }
			set { this["WgrNr4"] = value; }
		}
		/// <summary>5.Warengruppennummer ( String )</summary>
		public virtual String WgrNr5
		{
			get { return Convert.ToString(this["WgrNr5"]); }
			set { this["WgrNr5"] = value; }
		}
		/// <summary>6.Warengruppennummer ( String )</summary>
		public virtual String WgrNr6
		{
			get { return Convert.ToString(this["WgrNr6"]); }
			set { this["WgrNr6"] = value; }
		}
		/// <summary>7.Warengruppennummer ( String )</summary>
		public virtual String WgrNr7
		{
			get { return Convert.ToString(this["WgrNr7"]); }
			set { this["WgrNr7"] = value; }
		}
		/// <summary>8.Warengruppennummer ( String )</summary>
		public virtual String WgrNr8
		{
			get { return Convert.ToString(this["WgrNr8"]); }
			set { this["WgrNr8"] = value; }
		}
		/// <summary>9.Warengruppennummer ( String )</summary>
		public virtual String WgrNr9
		{
			get { return Convert.ToString(this["WgrNr9"]); }
			set { this["WgrNr9"] = value; }
		}
		/// <summary>10.Warengruppennummer ( String )</summary>
		public virtual String WgrNr10
		{
			get { return Convert.ToString(this["WgrNr10"]); }
			set { this["WgrNr10"] = value; }
		}
		/// <summary>11.Warengruppennummer ( String )</summary>
		public virtual String WgrNr11
		{
			get { return Convert.ToString(this["WgrNr11"]); }
			set { this["WgrNr11"] = value; }
		}
		/// <summary>12.Warengruppennummer ( String )</summary>
		public virtual String WgrNr12
		{
			get { return Convert.ToString(this["WgrNr12"]); }
			set { this["WgrNr12"] = value; }
		}
		/// <summary>13.Warengruppennummer ( String )</summary>
		public virtual String WgrNr13
		{
			get { return Convert.ToString(this["WgrNr13"]); }
			set { this["WgrNr13"] = value; }
		}
		/// <summary>14.Warengruppennummer ( String )</summary>
		public virtual String WgrNr14
		{
			get { return Convert.ToString(this["WgrNr14"]); }
			set { this["WgrNr14"] = value; }
		}
		/// <summary>15.Warengruppennummer ( String )</summary>
		public virtual String WgrNr15
		{
			get { return Convert.ToString(this["WgrNr15"]); }
			set { this["WgrNr15"] = value; }
		}
		/// <summary>16.Warengruppennummer ( String )</summary>
		public virtual String WgrNr16
		{
			get { return Convert.ToString(this["WgrNr16"]); }
			set { this["WgrNr16"] = value; }
		}
		/// <summary>17.Warengruppennummer ( String )</summary>
		public virtual String WgrNr17
		{
			get { return Convert.ToString(this["WgrNr17"]); }
			set { this["WgrNr17"] = value; }
		}
		/// <summary>18.Warengruppennummer ( String )</summary>
		public virtual String WgrNr18
		{
			get { return Convert.ToString(this["WgrNr18"]); }
			set { this["WgrNr18"] = value; }
		}
		/// <summary>19.Warengruppennummer ( String )</summary>
		public virtual String WgrNr19
		{
			get { return Convert.ToString(this["WgrNr19"]); }
			set { this["WgrNr19"] = value; }
		}
		/// <summary>20.Warengruppennummer ( String )</summary>
		public virtual String WgrNr20
		{
			get { return Convert.ToString(this["WgrNr20"]); }
			set { this["WgrNr20"] = value; }
		}


		#endregion
	}
}
