using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrArchivSetVwz1Index : BpnIndex
	{
		public static readonly String INDEX_NAME = "Vwz1";
			

		internal ZahlungsVerkehrArchivSetVwz1Index(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsVerkehrArchivSetVwz1Index.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsVerkehrArchivSetVwz1Index.IndexFields rangeBegin, ZahlungsVerkehrArchivSetVwz1Index.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Verwendungszweck 1 ( String )</summary>
			public virtual String VwZweck1 {
				get { return Convert.ToString(this["VwZweck1"]); }
				set { this["VwZweck1"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
